/*
 Theme Name:     PA Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Simple Divi Child Theme
 Author:         Projekt:Agentur
 Author URI:     https://www.projektagentur.de/
 Template:       Divi
 Version:        0.1.1
*/

/* =Theme customization starts here
------------------------------------------------------- */
:root {
  --c-gray: #f0f0f0;

  --roboto-cond-bold: "Roboto Condensed - Bold", Helvetica, Arial, Lucida,
    sans-serif;
  --roboto-cond-reg: "Roboto Condense - Regular", Helvetica, Arial, Lucida,
    sans-serif;
}

strong {
  font-family: var(--roboto-cond-bold) !important;
  font-weight: 400 !important;
  /*white-space: pre; */
  line-height: 1em;
  text-align: center
}

#main-content {
  min-height: 60vh;
}

div {
  word-break: keep-all;
  overflow-wrap: normal;
  hyphens: none;
}



.matb-row>*,
.matb-row .et_pb_column {
  /* For this you have to enable the same column-heigt, what set the row to flex */
  margin-top: auto;
  margin-bottom: auto;
}

.matb {
  margin-top: auto;
  margin-bottom: auto;
}

.ma {
  margin: auto !important;
}

/**--------------------------------------------
 *               SECTION HEADER
 *---------------------------------------------**/
.et_pb_menu--without-logo .et_pb_menu__menu>nav>ul>li {
  margin-right: 1vw;
}

@media (max-width: 980px) {
.et_pb_menu--without-logo .et_pb_menu__menu>nav>ul>li {
  margin-right: 0;
}  
}

.et_pb_menu--without-logo .et_pb_menu__menu>nav>ul>li>a:hover::before {
  content: "";
  position: absolute;
  width: 80%;
  height: 1px;
  bottom: -50%;
  left: 10%;
  border: 0;
  border-bottom: solid 5px #2064ae;
}

/*.et_pb_menu_0_tb_header.et_pb_menu ul li.current-menu-item>a::before {
  content: "";
  position: absolute;
  width: 120%;
  height: 1px;
  bottom: -50%;
  left: -10%;
  border: 0;
  border-bottom: solid 5px #00284b;
}*/

.et_pb_menu__search-button:after {
  -moz-transform: scale(-1, 1);
  -webkit-transform: scale(-1, 1);
  -o-transform: scale(-1, 1);
  -ms-transform: scale(-1, 1);
  transform: scale(-1, 1);

  font-weight: bold;
}




/**----------------------
 *    searchbox
 *------------------------**/

.et_pb_menu__search-container {
  background-color: #f0f0f0;
  padding-left: 0 !important;
}

.et_pb_menu__search {
  margin-left: 1rem;
  margin-right: 1rem;
}

.et_pb_menu__search::before {
  font-family: ETmodules !important;
  content: "\55";
  font-size: 1.5em;
  font-weight: bolder;
  padding-left: 1rem;
  padding-right: 1rem;
  -moz-transform: scale(-1, 1);
  -webkit-transform: scale(-1, 1);
  -o-transform: scale(-1, 1);
  -ms-transform: scale(-1, 1);
  transform: scale(-1, 1);
}

/* .et_pb_menu .et_pb_menu__search-container--visible {
}

.et_pb_menu__search {
  background-color: #f0f0f0;
} */
/* 
.et_pb_menu__search-form::before {
  content: "<";
} */

/**--------------------------------------------
 *               SECTION HEADER
 *---------------------------------------------**/

.blurb-title-middle .et_pb_blurb_container {
  vertical-align: bottom;
}

.blurb-title-middle .et_pb_blurb_container :is(h1, h2, h3, h4, h5, h6) {
  padding-bottom: 0 !important;
}

.et_pb_slider.star-header-slider-reorder .et_pb_slides .et_pb_slide .et_pb_container .et_pb_slider_container_inner .et_pb_slide_description {
  display: flex;
  flex-direction: column;
	animation: none;
}

.et-pb-controllers {
	bottom: 70px;
}

.et_pb_slider.star-header-slider-reorder .et_pb_slides .et_pb_slide .et_pb_container .et_pb_slider_container_inner .et_pb_slide_description .et_pb_slide_content {
  order: -1;
}

.star-header-slider-reorder .et-pb-arrow-prev,
.star-header-slider-reorder .et-pb-arrow-next {
  top: unset;
  bottom: 2%;
}

.star-header-slider-reorder .et-pb-arrow-next {
  right: unset;
  left: 88px;
}

.star-header-slider-reorder .et-pb-arrow-prev::before {
  content: "\23";
}

.star-header-slider-reorder .et-pb-arrow-next::before {
  content: "\24";
}

.et-db #et-boc .et-l button.et_pb_menu__icon {
  margin-left: 2rem;
}

@media (max-width: 768px) {
  .et-pb-controllers {
	bottom: 32px;
  }
}

@media (max-width: 980px) {
  .et-pb-controllers {
	bottom: 28px;
  }
}

/**--------------------------------------------
 *               DOWNLOAD SITE
 *---------------------------------------------**/
.download-filesize::before {
  content: "[" !important;
}

.download-filesize {
  display: flex;
}

.download-filesize::after {
  content: "]" !important;
}

/**--------------------------------------------
 *               File btns
 *---------------------------------------------**/
/* .sta-woo-product-dwfiles-btn {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.sta-woo-product-dwfiles-btn>* {
  line-height: 1em;
  padding: 0;
  margin: 0;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__link {
  display: flex;
  gap: 1rem;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title {
  white-space: nowrap;
  display: inline-flex;
  align-items: center;
  gap: .5rem;
  align-self: flex-start;
  width: min-content;
  max-width: 40%;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title .sta-woo-product-dwfiles-btn__icon,
.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title .sta-woo-product-dwfiles-btn__icon svg {
  height: 2rem;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title .sta-woo-product-dwfiles-btn__text {
  color: black;
  font-family: var(--roboto-cond-bold);
  white-space: wrap;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__caption {
  padding-top: .5rem;
} */

.sta-woo-product-dwfiles-btn-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.sta-woo-product-dwfiles-btn-container .sta-woo-product-dwfiles-btn > * {
  line-height: 1.2rem;
  /* padding: 0;
  margin: 0; */
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__link {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  margin-bottom: .5rem;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title {
  display: inline-flex;
  align-items: center;
  gap: .5rem;
  /*max-width: 40%;*/
  flex: 0 1 40%;
  min-width: 0;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__icon,
.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__icon svg {
  height: 2rem;
  flex: 0 0 auto;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__text {
  color: black;
  font-family: var(--roboto-cond-bold);
  font-size: 1rem;
  white-space: normal;
  overflow-wrap: anywhere;
  min-width: 0;
  flex: 1 1 auto;
}

.sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__caption {
  padding-top: .4rem;
  flex: 1 1 0;
  min-width: 0;
  font-size: 1rem;
}

@media (max-width: 768px) {
  .sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__link {
    flex-direction: column;
  }
  .sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__caption {
	  margin-top: -1rem;
  }
  .sta-woo-product-dwfiles-btn .sta-woo-product-dwfiles-btn__title {
    max-width: 100%;
  }
}


/**--------------------------------------------
 *               woo 
 *---------------------------------------------**/
/*.et_pb_wc_related_products .products.columns-3 {
  display: flex;
}*/

/* .woocommerce-product-gallery .flex-viewport {
  height: auto !important;
} */

.woocommerce-product-gallery .flex-viewport a {
  width: 100% !important;
  height: 100% !important;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.woocommerce-product-gallery .flex-viewport a img {
  width: auto !important;
  height: auto !important;
  max-width: 100% !important;
  max-height: 500px !important;
}

.woocommerce-product-gallery .flex-control-nav {
  display: flex !important;
  justify-content: flex-start !important;
  gap: 20px;
}

.woocommerce-product-gallery .flex-control-nav li {
  margin: 0 !important;
}

.woocommerce-product-gallery .woocommerce-product-gallery__wrapper .sta-woocommerce-product-gallery-img-caption {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem .5rem .5rem .5rem;
}

/**======================
  *    product listing
  *========================**/


.products.columns-3 {
  align-items: center;
  display: grid;
  grid-template-columns: repeat(3,1fr)
}

.sta-product-listing .woocommerce ul.products {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

@media (max-width: 980px) {
  .sta-product-listing .woocommerce ul.products {
    grid-template-columns: repeat(2, 1fr);
    gap: 2%;
  }	  
}

@media (max-width: 767px) {
  .sta-product-listing .woocommerce ul.products {
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
  }	
}

.sta-product-listing .woocommerce ul.products::before,
.sta-product-listing .woocommerce ul.products::after {
  display: none !important;
}

ul.products.columns-3 li {
  width: 100%;
}

ul.products.columns-4 li {
  width: 100%;
	margin-top: auto !important;
	margin-bottom: auto !important;
}

ul.products.columns-1 > li{
	margin-bottom: 0 !important;
}

.woocommerce-page ul.products li.product:nth-child(n) {
	margin: 0 !important;
}

.woocommerce .products ul, .woocommerce ul.products {
	margin: 0 !important;
}

.et-db #et-boc .et-l .et_pb_shop.sta-product-listing .woocommerce ul.products.columns-3 li.product,
.sta-product-listing .woocommerce>ul.products.columns-3>li.product {
  width: 100% !important;
}

.related.products ul.products li.product,
.et-db #et-boc .et-l .et_pb_shop.sta-product-listing .woocommerce ul.products.columns-3 li.product,
.sta-product-listing .woocommerce>ul.products.columns-3>li.product {
  border: 1px solid var(--c-gray);
  padding: 20px;
  display: flex !important;
  flex-direction: column;
  gap: 1rem;
  height: max-content;
  width: 100% !important;
}

.related.products ul.products li.product .et_shop_image,
.sta-product-listing .woocommerce ul.products li.product .et_shop_image {
  border: 0 !important;
  height: 300px;
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.related.products ul.products li.product .et_shop_image img,
.sta-product-listing .woocommerce ul.products li.product .et_shop_image img {
  max-height: 100%;
  max-width: 100%;
  width: auto;
  height: auto;
}

.related.products ul.products li.product .sta-woo-listing-short-desc {
  margin-bottom: 1rem;
}

.related.products ul.products li.product .sta-woo-listing-add-to-quote,
.sta-product-listing .woocommerce ul.products li.product .sta-woo-listing-add-to-quote {
  width: 100%;
  padding: 1rem !important;
  font-family: var(--roboto-cond-bold);
  margin-top: auto;
  margin-bottom: 0;
}

.related.products ul.products li.product .sta-woo-listing-add-to-quote::after,
.sta-product-listing .woocommerce ul.products li.product .sta-woo-listing-add-to-quote::after {
  display: none !important;
}

.woocommerce-loop-product__title {
  padding-bottom: 0 !important;
}

.product {
  margin: 0 !important;
}

.et_shop_image {
  height: auto !important;
}

.et_shop_image .et_overlay {
    border: none !important;
}

.et_shop_image .et_overlay:before {
    content: none !important;
}


@media (max-width: 768px) {
  .sta-product-listing .woocommerce ul.products li.product .et_shop_image {
    height: auto;
  }
}

@media (max-width: 980px) {
  .et_pb_shop ul.products.columns-4 li.product {
    width: 100% !important;
  }
}

/**------------------------------------------------------------------------
 *                           Megamenue
 *------------------------------------------------------------------------**/

.sta-woo-product-megamenu-categories {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 2%;
}

.sta-woo-product-megamenu-categories-in-body-container .sta-woo-product-megamenu-categories {
  grid-template-columns: repeat(3, 1fr);
}

.sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item {
  list-style: none;
  border-bottom: 1px solid var(--c-gray);
}

/* .sta-woo-product-megamenu-categories
  .sta-woo-product-megamenu-categories__item:nth-last-child(-n + 7) {
  border-bottom: none;
} */

.sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item .sta-woo-product-megamenu-categories__link {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 1rem;
  padding-bottom: 1rem;
  gap: 1rem;
}

.sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item .sta-woo-product-megamenu-categories__link .sta-woo-product-megamenu-categories__image-wrapper {
  margin: auto;
  max-height: 150px;
}

.sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item .sta-woo-product-megamenu-categories__link .sta-woo-product-megamenu-categories__image-wrapper .sta-woo-product-megamenu-categories__image {
  height: 100%;
  width: 100%;
  /* max-width: 100%; */
  /* max-height: 100%; */
  object-fit: contain;
}

.sta-woo-product-megamenu-categories__image {
	max-width: 200px !important;
}

ul.sta-woo-product-megamenu-categories > li {
    width: 100% !important;
}

.sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item .sta-woo-product-megamenu-categories__link .sta-woo-product-megamenu-categories__name {
	width: 90%;
	text-align: center;
	margin-top: -1em;
}

#STA_MEGAMENUE_CONTAINER {
  display: none !important;
	margin-top: 2%;
}

#STA_MEGAMENUE_CONTAINER:has(.sta-megamenue-open) {
  display: block !important;
}

.sta-woo-product-megamenu-categories-in-body-container .sta-woo-product-megamenu-categories {
  grid-template-columns: repeat(3, 1fr);
}

.sta-woo-product-megamenu-categories {
  padding: 0 !important;
}
>

.sta-woo-product-megamenu-categories.>li.sta-woo-product-megamenu-categories__item {
	width: 100%;
}

/*** Responsive Styles Large Desktop And Above ***/
@media all and (min-width: 1405px) {}

/*** Responsive Styles Standard Desktop Only ***/
@media all and (min-width: 1100px) and (max-width: 1405px) {
  .sta-woo-product-megamenu-categories {
    grid-template-columns: repeat(5, 1fr);
  }
}

/*** Responsive Styles Tablet And Below ***/
@media all and (max-width: 980px) {
  .sta-woo-product-megamenu-categories {
    grid-template-columns: repeat(3, 1fr);
  }

  .sta-woo-product-megamenu-categories-in-body-container .sta-woo-product-megamenu-categories {
    grid-template-columns: repeat(3, 1fr);
  }
	
}

@media all and (max-width: 1100px) {
  .sta-woo-product-megamenu-categories__image {
	max-width: 90px !important;
  }
	#STA_MEGAMENUE_CONTAINER {
  display: none !important;
	margin-top: 1% !important;
  }
}


/*** Responsive Styles Smartphone Only ***/
@media all and (max-width: 767px) {
  .sta-woo-product-megamenu-categories {
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
  }

  .sta-woo-product-megamenu-categories-in-body-container .sta-woo-product-megamenu-categories {
    grid-template-columns: repeat(1, 1fr);
  }
	
  .sta-woo-product-megamenu-categories .sta-woo-product-megamenu-categories__item {
    border-bottom: none;
  }
	
	.sta-woo-product-megamenu-categories>li.sta-woo-product-megamenu-categories__item {
		width: max-content;
	}
}

/*** Responsive Styles Smartphone Portrait ***/
@media all and (max-width: 479px) {}

/**============================================
 *               Kontaktformular
 *=============================================**/
p[data-id="sta_quote_content"] {
  height: 0;
  visibility: hidden;
}

.sta-quote-anfrage-zu-container label {
  padding: 0;
  display: block !important;
  font-weight: 600;
  font-family: var(--roboto-cond-reg);
  margin-bottom: 0.5rem;
  line-height: 1.2em;
}

.sta-quote-list-item {
  /* display: flex;
  align-items: center;
  justify-content: flex-start; */
  padding: 1rem 0;
}

.sta-quote-list-item .sta-quote-list-item-img-wrapper {
  width: 100px;
	min-width: 100px;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  object-fit: contain;
}

.sta-quote-list-item .sta-quote-list-item-img-wrapper img {
  height: 100%;
}

.sta-quote-list-item .sta-quote-list-item-content {
  /* flex-grow: 1; */
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.sta-quote-list-item .sta-quote-list-item-content h6 {
  padding: 0;
	line-height: 1.3em;
	padding: 0 1em;
}

.sta-quote-btn-container,
.sta-quote-btn-container .sta-quote-btn-wrapper {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.sta-quote-btn-container .sta-quote-btn-wrapper .sta-quote-btn-desktop {
  display: none;
}

@media screen and (min-width: 981px) {
  .sta-quote-btn-container .sta-quote-btn-wrapper .sta-quote-btn-desktop {
    display: inline;
  }

  .sta-quote-btn-container .sta-quote-btn-wrapper .sta-quote-btn-mobile {
    display: none;
  }
}

.sta-quote-list-item .sta-quote-list-item-input-container {
  display: flex;
  flex-wrap: wrap;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper:nth-child(2) {
  flex-basis: 100%;
  padding: 5px;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper:nth-child(n+3):nth-child(-n+5) {
  flex-basis: 33%;
  padding: 5px;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper:nth-child(5) {
  flex-basis: 33%;
  padding: 5px 0 5px 5px !important;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper:has(textarea) {
  flex-basis: 100%;
  width: 100%;
  padding: 5px;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper input {
  width: 100%;
  border: 0;
  background-color: #eee;
  color: #000;
  padding: 6px 2px 6px 10px;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper input::-webkit-inner-spin-button,
.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper input::-webkit-outer-spin-button {
  background-color: transparent;
  opacity: 1;
}

.sta-quote-list-item .sta-quote-list-item-input-container .sta-quote-list-item-input-wrapper textarea {
  width: 100%;
  min-height: 100px;
  border: 0;
  background-color: #eee;
  color: #000;
  padding: 6px 2px 6px 10px;
  resize: none;
}






/**============================================
 *             Download-Grid
 *=============================================**/
.download-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0;
}

.download-grid .et_pb_code {
  border-right: none;
  border-bottom: 2px solid #F0F0F0;
  padding: 20px;
  position: relative;
}

.download-grid .et_pb_code:nth-child(3n) {
  border-right: none;
}

.download-grid .et_pb_code:nth-last-child(-n + 3) {
  border-bottom: none;
}

.download-grid .et_pb_code:not(:nth-child(3n))::after {
  content: "";
  position: absolute;
  top: 30px;
  bottom: 30px;
  right: 0;
  width: 2px;
  background: #F0F0F0;
}

@media (max-width: 980px) {
  .download-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .download-grid .et_pb_code,
  .download-grid .et_pb_code::after {
    border: none;
    background: none;
  }

  .download-grid .et_pb_code:not(:nth-child(3n))::after {
    border: none;
  }

  .download-grid .et_pb_code:not(:nth-child(3n))::after {
    width: 0;
  }
}

@media (max-width: 767px) {
  .download-grid {
    grid-template-columns: 1fr;
  }
}

span.h5-style-bold {
  font-size: 1rem;
  font-family: 'Roboto Condensed - Bold', Helvetica, Arial, Lucida, sans-serif;
  padding-right: .5em;
}

span.h5-style {
  font-size: 1rem;
  font-family: 'Roboto Condense - Regular',Helvetica,Arial,Lucida,sans-serif;
  padding-right: .5em;
  white-space: nowrap;
}


.sta-woocommerce-product-gallery-img-caption strong {
    display: block;
    white-space: pre-line;
    word-wrap: break-word;
}

.sta-woocommerce-product-gallery-img-caption span {
    text-align: center;
	line-height: 1.2em;
}

.woocommerce-product-gallery .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image:first-child 
    .sta-woocommerce-product-gallery-img-caption {
    display: none;
}



/**============================================
 *             Search-results
 *=============================================**/
.no-search-results-text h1{
	font-size: 60px;
	line-height: 1.4em;
}

.no-search-results-text ul.products li.product {
    width: 100% !important;
    border: 1px solid var(--c-gray);
    padding: 20px;
    display: flex !important;
    flex-direction: column;
    gap: 1rem;
    height: max-content;
}

li.product {
	width: 100% !important;
}